org.richfaces.fragment.configuration

## Class RichFacesPageFragmentsConfigurationContext

- java.lang.Object
- - org.richfaces.fragment.configuration.RichFacesPageFragmentsConfigurationContext

-     public class RichFacesPageFragmentsConfigurationContext
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RichFacesPageFragmentsConfigurationContext()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static RichFacesPageFragmentsConfiguration` | `getProxy()` Returns the instance of proxy to thread local context of configuration
    `static boolean` | `isInitialized()` Returns true if the context is initialized
    `static void` | `reset()` Resets the WebDriver context for current thread
    `static void` | `set(RichFacesPageFragmentsConfiguration configuration)` Sets the configuration context for current thread

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RichFacesPageFragmentsConfigurationContext

          public RichFacesPageFragmentsConfigurationContext()

  - ### Method Detail

    - #### getProxy

          public static RichFacesPageFragmentsConfiguration getProxy()

      Returns the instance of proxy to thread local context of configuration
      Returns:
        the instance of proxy to thread local context of configuration

    - #### isInitialized

          public static boolean isInitialized()

      Returns true if the context is initialized
      Returns:
        true if the context is initialized

    - #### reset

          public static void reset()

      Resets the WebDriver context for current thread

    - #### set

          public static void set(RichFacesPageFragmentsConfiguration configuration)

      Sets the configuration context for current thread
      Parameters:
        `configuration` - the configuration instance
      Throws:
        `IllegalArgumentException` - when provided configuration instance is null

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.